Sub DeleteFile_OnLoad
	EKOManager.StatusMessage ("DeleteFile_OnLoad")

	Set KDocument = KnowledgeObject.GetFirstDocument
	If Not (KDocument Is Nothing) Then
		Set PTopic = KnowledgeObject.GetPersistenceTopic()
		Set Topic = KnowledgeContent.GetTopicInterface

		If Not (Topic Is Nothing) Then
			'Do Something
			DocumentCount = KnowledgeObject.DocumentCount
			Dim currentIndex : currentIndex = DocumentCount - 1

			While currentIndex >=0
				EKOManager.StatusMessage ("--------------")
				EKOManager.StatusMessage ("currentIndex = " & currentIndex)

				Set Kdocument = KnowledgeObject.GetDocument(currentIndex)
				FilePath = Kdocument.FilePath
				FileExt = KDocument.GetFileExtension
				FileName = KDocument.GetFileName

				EKOManager.StatusMessage ("FilePath = " & FilePath)
				EKOManager.StatusMessage ("FileExt = " & FileExt)
				EKOManager.StatusMessage ("FileName = " & FileName)

				If (Lcase(FileExt)= "jpg") Then
					EKOManager.StatusMessage ("Removing JPG File at = " & currentIndex)
					Call KnowledgeObject.RemoveDocument(currentIndex+1)

				End If 

				currentIndex = currentIndex -1
			Wend
		Else
			KnowledgeObject.Status = 2 'KO_STATUS_BAD
			EKOManager.ErrorMessage("No Topic Found")
		End If
	Else
		KnowledgeObject.Status = 2 'KO_STATUS_BAD
		EKOManager.ErrorMessage("No KDocument Found")
	End If
End Sub

Sub DeleteFile_OnUnLoad
End Sub

